Bug 174807 - CVE-2002-2185 IGMP DoS
Summary: CVE-2002-2185 IGMP DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard: public=20020625,impact=moderate
Keywords: Security
Depends On:
Blocks: 168430
TreeView+ depends on / blocked
 
Reported: 2005-12-02 13:53 UTC by Mark J. Cox
Modified: 2014-06-18 08:28 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 08:36:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed upstream patch (1.45 KB, patch)
2005-12-02 13:53 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0101 normal SHIPPED_LIVE Important: kernel security update 2006-01-17 05:00:00 UTC

Description Mark J. Cox 2005-12-02 13:53:37 UTC
http://www.cs.ucsb.edu/~krishna/igmp_dos/

With IGMP version 1 and 2 it is possible to inject a unicast report to a client
which will make it ignore multicast reports sent later by the router.

The fix is to only accept the report if is was sent to a multicast or unicast
address.  Fix from David Stevens at IBM and will be made upstream shortly.

Comment 1 Mark J. Cox 2005-12-02 13:53:37 UTC
Created attachment 121751 [details]
proposed upstream patch

Comment 6 Red Hat Bugzilla 2006-01-17 08:36:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html


Comment 7 John Poelstra 2006-01-17 16:57:38 UTC
All in attendance at 12-JAN-06 RHEL meeting approved for MUSTFIX list for RHEL4-U3


Note You need to log in before you can comment on or make changes to this bug.